Index: trunk/source/processes/hadronic/cross_sections/History
===================================================================
--- trunk/source/processes/hadronic/cross_sections/History	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/History	(revision 1340)
@@ -15,4 +15,36 @@
      ---------------------------------------------------------------
 
+24 October 2010 Vladimir Ivanchenko (hadr-cross-V09-03-12)
+- G4VComponentCrossSection - use G4ParticleDefinition and kinetic 
+   energy instead of G4DynamicParticle
+
+20 October 2010 Gunter Folger (hadr-cross-V09-03-11)
+- add missing inline for GetCrossSection in G4BGGPionElasticXS.hh
+
+15 October 2010 Dennis Wright (hadr-cross-V09-03-10)
+----------------------------------------------------
+- integer Z and A migration:
+  in all cross section data sets, replace IsZAApplicable with IsIsoApplicable
+  and replace GetIsoZACrossSection with GetZandACrossSection
+ 
+23 September 2010 Vladimir Ivanchenko (hadr-cross-V09-03-09)
+------------------------------------------------------------
+- G4NeutronElasticXS, G4NeutronInelasticXS, G4NeutronCaptureXS cleanup:
+                    use std vectors instead of C arrays;
+                    use G4HadronNucleonXsc class and PDG parameterisation
+                    for high energy cross sections off Hydrogen;
+                    removed Get/Set methods for verboseLevel
+
+30 July 2010 Vladimir Ivanchenko (hadr-cross-V09-03-08)
+- G4IonProtonCrossSection - move virtual methods to source,
+                            add constructor and destructor,
+                            make G4ProtonInelasticCrossSection class member,
+                            fix bug in kinematics
+
+05 July 2010 Vladimir Ivanchenko (hadr-cross-V09-03-07)
+- G4VComponentCrossSection - new interface for cross sections
+- G4VCrossSectionDataSet - added name, min and max kinetic energy and access 
+                           methods
+
 11 Jun 2010 Vladimir Ivanchenko (hadr-cross-V09-03-06)
 - G4UPiNuclearCrossSection - fixed memory leak at destruction
@@ -20,8 +52,10 @@
 
 03 Jun 2010 Vladimir Ivanchenko (hadr-cross-V09-03-05)
+------------------------------------------------------
 - G4NeutronElasticXS, G4NeutronInelasticXS, G4NeutronCaptureXS - substitute
      environment variable G4NEUTRONXS by G4NEUTRONXSDATA
 
 02 Jun 2010 Gunter Folger       (hadr-cross-V09-03-04)
+------------------------------------------------------
 - fix compilation error on Windows: use G4lrint not lrint
 
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonElasticXS.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGNucleonElasticXS.hh,v 1.5 2009/11/19 11:41:30 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BGGNucleonElasticXS.hh,v 1.6 2010/10/12 06:02:09 dennis Exp $
+// GEANT4 tag $Name: hadr-cross-V09-03-12 $
 //
 // -------------------------------------------------------------------
@@ -55,6 +55,6 @@
 #include "G4ParticleDefinition.hh"
 #include "G4Element.hh"
+#include "G4HadTmpUtil.hh"
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 class G4GlauberGribovCrossSection;
@@ -74,5 +74,5 @@
 
   virtual
-  G4bool IsZAApplicable(const G4DynamicParticle*, G4double Z, G4double A);
+  G4bool IsIsoApplicable(const G4DynamicParticle*, G4int Z, G4int A);
 
   virtual
@@ -81,6 +81,6 @@
 
   virtual
-  G4double GetIsoZACrossSection(const G4DynamicParticle*, G4double /*Z*/,
-				G4double /*A*/, G4double aTemperature = 0.);
+  G4double GetZandACrossSection(const G4DynamicParticle*, G4int /*Z*/,
+                                G4int /*A*/, G4double aTemperature = 0.);
 
   virtual
@@ -94,5 +94,5 @@
   void Initialise();
 
-  G4double CoulombFactor(G4double kinEnergy, G4double A);
+  G4double CoulombFactor(G4double kinEnergy, G4int A);
 
   G4double fGlauberEnergy;  
@@ -109,5 +109,4 @@
 };
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
@@ -116,18 +115,14 @@
 {
   return true;
-  //  return IsZAApplicable(dp, elm->GetZ(), elm->GetN());
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
-G4bool G4BGGNucleonElasticXS::IsZAApplicable(const G4DynamicParticle*, 
-					     G4double /*Z*/, G4double/* A*/)
+G4bool G4BGGNucleonElasticXS::IsIsoApplicable(const G4DynamicParticle*,
+                                              G4int /*Z*/, G4int/* A*/)
 {
   return true;
-  //  return (dp->GetDefinition() == particle);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
@@ -136,8 +131,9 @@
 						G4double temp)
 {
-  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+//  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+  G4int Z = G4lrint(elm->GetZ());
+  G4int N = G4lrint(elm->GetN());
+  return GetZandACrossSection(dp, Z, N, temp);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
 #endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGNucleonInelasticXS.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGNucleonInelasticXS.hh,v 1.6 2009/11/19 11:44:46 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BGGNucleonInelasticXS.hh,v 1.7 2010/10/12 06:02:28 dennis Exp $
+// GEANT4 tag $Name: hadr-cross-V09-03-12 $
 //
 // -------------------------------------------------------------------
@@ -55,6 +55,6 @@
 #include "G4ParticleDefinition.hh"
 #include "G4Element.hh"
+#include "G4HadTmpUtil.hh"
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 class G4GlauberGribovCrossSection;
@@ -74,5 +74,5 @@
 
   virtual
-  G4bool IsZAApplicable(const G4DynamicParticle*, G4double Z, G4double A);
+  G4bool IsIsoApplicable(const G4DynamicParticle*, G4int Z, G4int A);
 
   virtual
@@ -81,6 +81,6 @@
 
   virtual
-  G4double GetIsoZACrossSection(const G4DynamicParticle*, G4double /*Z*/,
-				G4double /*A*/, G4double aTemperature = 0.);
+  G4double GetZandACrossSection(const G4DynamicParticle*, G4int /*Z*/,
+                                G4int /*A*/, G4double aTemperature = 0.);
 
   virtual
@@ -94,5 +94,5 @@
   void Initialise();
 
-  G4double CoulombFactor(G4double kinEnergy, G4double A);
+  G4double CoulombFactor(G4double kinEnergy, G4int A);
 
   G4double fGlauberEnergy;  
@@ -109,5 +109,4 @@
 };
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
@@ -116,18 +115,14 @@
 {
   return true;
-  //  return IsZAApplicable(dp, elm->GetZ(), elm->GetN());
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
-G4bool G4BGGNucleonInelasticXS::IsZAApplicable(const G4DynamicParticle*, 
-					       G4double /*Z*/, G4double/* A*/)
+G4bool G4BGGNucleonInelasticXS::IsIsoApplicable(const G4DynamicParticle*,
+                                                G4int /*Z*/, G4int/* A*/)
 {
   return false;
-  //  return (dp->GetDefinition() == particle);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
@@ -136,8 +131,9 @@
 						  G4double temp)
 {
-  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+  G4int Z = G4lrint(elm->GetZ());
+  G4int N = G4lrint(elm->GetN());
+  return GetZandACrossSection(dp, Z, N, temp);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 #endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGPionElasticXS.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGPionElasticXS.hh,v 1.5 2009/11/19 11:46:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BGGPionElasticXS.hh,v 1.7 2010/10/20 09:07:38 stesting Exp $
+// GEANT4 tag $Name: hadr-cross-V09-03-12 $
 //
 // -------------------------------------------------------------------
@@ -55,6 +55,6 @@
 #include "G4ParticleDefinition.hh"
 #include "G4Element.hh"
+#include "G4HadTmpUtil.hh"
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 class G4GlauberGribovCrossSection;
@@ -73,6 +73,9 @@
   G4bool IsApplicable(const G4DynamicParticle*, const G4Element*);
 
+//  virtual
+//  G4bool IsZAApplicable(const G4DynamicParticle*, G4double Z, G4double A);
+
   virtual
-  G4bool IsZAApplicable(const G4DynamicParticle*, G4double Z, G4double A);
+  G4bool IsIsoApplicable(const G4DynamicParticle*, G4int Z, G4int A);
 
   virtual
@@ -80,7 +83,11 @@
 			   const G4Element*, G4double aTemperature = 0.);
 
+//  virtual
+//  G4double GetIsoZACrossSection(const G4DynamicParticle*, G4double /*Z*/,
+//				G4double /*A*/, G4double aTemperature = 0.);
+
   virtual
-  G4double GetIsoZACrossSection(const G4DynamicParticle*, G4double /*Z*/,
-				G4double /*A*/, G4double aTemperature = 0.);
+  G4double GetZandACrossSection(const G4DynamicParticle*, G4int /*Z*/,
+                                G4int /*A*/, G4double aTemperature = 0.);
 
   virtual
@@ -94,5 +101,6 @@
   void Initialise();
 
-  G4double CoulombFactor(G4double kinEnergy, G4double A);
+//  G4double CoulombFactor(G4double kinEnergy, G4double A);
+  G4double CoulombFactor(G4double kinEnergy, G4int A);
 
   G4double fGlauberEnergy;  
@@ -116,28 +124,28 @@
 {
   return true;
-  //return IsZAApplicable(dp, elm->GetZ(), elm->GetN());
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//inline
+//G4bool G4BGGPionElasticXS::IsZAApplicable(const G4DynamicParticle*, 
+//					  G4double /*Z*/, G4double/* A*/)
 
 inline
-G4bool G4BGGPionElasticXS::IsZAApplicable(const G4DynamicParticle*, 
-					  G4double /*Z*/, G4double/* A*/)
+G4bool G4BGGPionElasticXS::IsIsoApplicable(const G4DynamicParticle*,
+                                           G4int /*Z*/, G4int/* A*/)
 {
   return false;
-  //  return (dp->GetDefinition() == particle);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-inline
+inline 
 G4double G4BGGPionElasticXS::GetCrossSection(const G4DynamicParticle* dp, 
 					     const G4Element* elm, 
 					     G4double temp)
 {
-  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+//  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+  G4int Z = G4lrint(elm->GetZ());
+  G4int N = G4lrint(elm->GetN());
+  return GetZandACrossSection(dp, Z, N, temp);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
 #endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4BGGPionInelasticXS.hh	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BGGPionInelasticXS.hh,v 1.5 2009/11/19 11:47:19 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4BGGPionInelasticXS.hh,v 1.6 2010/10/12 06:04:02 dennis Exp $
+// GEANT4 tag $Name: hadr-cross-V09-03-12 $
 //
 // -------------------------------------------------------------------
@@ -55,6 +55,6 @@
 #include "G4ParticleDefinition.hh"
 #include "G4Element.hh"
+#include "G4HadTmpUtil.hh"
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 class G4GlauberGribovCrossSection;
@@ -73,6 +73,9 @@
   G4bool IsApplicable(const G4DynamicParticle*, const G4Element*);
 
+//  virtual
+//  G4bool IsZAApplicable(const G4DynamicParticle*, G4double Z, G4double A);
+
   virtual
-  G4bool IsZAApplicable(const G4DynamicParticle*, G4double Z, G4double A);
+  G4bool IsIsoApplicable(const G4DynamicParticle*, G4int Z, G4int A);
 
   virtual
@@ -80,7 +83,11 @@
 			   const G4Element*, G4double aTemperature = 0.);
 
+//  virtual
+//  G4double GetIsoZACrossSection(const G4DynamicParticle*, G4double /*Z*/,
+//				G4double /*A*/, G4double aTemperature = 0.);
+
   virtual
-  G4double GetIsoZACrossSection(const G4DynamicParticle*, G4double /*Z*/,
-				G4double /*A*/, G4double aTemperature = 0.);
+  G4double GetZandACrossSection(const G4DynamicParticle*, G4int /*Z*/,
+                                G4int /*A*/, G4double aTemperature = 0.);
 
   virtual
@@ -94,5 +101,5 @@
   void Initialise();
 
-  G4double CoulombFactor(G4double kinEnergy, G4double A);
+  G4double CoulombFactor(G4double kinEnergy, G4int A);
 
   G4double fGlauberEnergy;  
@@ -109,5 +116,4 @@
 };
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
@@ -116,18 +122,14 @@
 {
   return true;
-  //  return IsZAApplicable(dp, elm->GetZ(), elm->GetN());
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
-G4bool G4BGGPionInelasticXS::IsZAApplicable(const G4DynamicParticle*, 
-					    G4double /*Z*/, G4double/* A*/)
+G4bool G4BGGPionInelasticXS::IsIsoApplicable(const G4DynamicParticle*, 
+					     G4int /*Z*/, G4int/* A*/)
 {
   return false;
-  // return (dp->GetDefinition() == particle);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 inline
@@ -136,8 +138,9 @@
 					       G4double temp)
 {
-  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+//  return GetIsoZACrossSection(dp, elm->GetZ(), elm->GetN(), temp);
+  G4int Z = G4lrint(elm->GetZ());
+  G4int N = G4lrint(elm->GetN());
+  return GetZandACrossSection(dp, Z, N, temp);
 }
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
 #endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4EMDissociationCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4EMDissociationCrossSection.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4EMDissociationCrossSection.hh	(revision 1340)
@@ -79,12 +79,11 @@
     virtual G4bool IsApplicable (const G4DynamicParticle*, const G4Element*);
  
-    virtual G4bool IsZAApplicable(const G4DynamicParticle*, G4double ZZ, 
-                                                            G4double AA);
+    virtual G4bool IsIsoApplicable(const G4DynamicParticle*, G4int ZZ, G4int AA);
  
     virtual G4double GetCrossSection (const G4DynamicParticle *,
       const G4Element *, G4double);
       
-    virtual G4double GetIsoZACrossSection(const G4DynamicParticle*, 
-                                          G4double ZZ, G4double AA, 
+    virtual G4double GetZandACrossSection(const G4DynamicParticle*, 
+                                          G4int ZZ, G4int AA, 
                                           G4double temperature);
       
@@ -110,5 +109,4 @@
     G4double                 xd;
 };
-///////////////////////////////////////////////////////////////////////////////
-//
+
 #endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4ElectroNuclearCrossSection.hh	(revision 1340)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: hadr-cross-V09-03-12 $
 //
 //
@@ -55,13 +55,15 @@
   G4bool IsApplicable(const G4DynamicParticle* aParticle, const G4Element* )
   {
-    return IsZAApplicable(aParticle, 0., 0.);
+    return IsIsoApplicable(aParticle, 0, 0);
   }
 
-  G4bool IsZAApplicable(const G4DynamicParticle* aParticle, G4double /*ZZ*/, 
-			                                    G4double /*AA*/)
+  G4bool IsIsoApplicable(const G4DynamicParticle* aParticle,
+                         G4int /*ZZ*/, G4int /*AA*/)
   {
     G4bool result = false;
-    if( aParticle->GetDefinition()==G4Electron::ElectronDefinition()) result = true;
-    if( aParticle->GetDefinition()==G4Positron::PositronDefinition()) result = true;
+    if (aParticle->GetDefinition() == G4Electron::ElectronDefinition())
+       result = true;
+    if (aParticle->GetDefinition() == G4Positron::PositronDefinition())
+       result = true;
     return result;
   }
@@ -71,7 +73,6 @@
                            const G4Element* anElement, G4double T=0.);
 
-  G4double GetIsoZACrossSection(const G4DynamicParticle* aParticle, 
-                                G4double ZZ, G4double AA, G4double T=0.);
-
+  G4double GetZandACrossSection(const G4DynamicParticle* aParticle, 
+                                G4int ZZ, G4int AA, G4double T=0.);
 
   G4double GetEquivalentPhotonEnergy();
@@ -87,5 +88,5 @@
 private:
   G4int    GetFunctions(G4double a, G4double* x, G4double* y, G4double* z);
-  //G4double LinearFit(G4double X, G4int N, const G4double* XN, const G4double* YN);
+
   G4double ThresholdEnergy(G4int Z, G4int N);
   G4double HighEnergyJ1(G4double lE);
@@ -111,24 +112,35 @@
   static G4double  lastH;    // Last value of the High energy A-dependence
 
-  static std::vector <G4double*> J1;     // Vector of pointers to the J1 tabulated functions
-  static std::vector <G4double*> J2;     // Vector of pointers to the J2 tabulated functions
-  static std::vector <G4double*> J3;     // Vector of pointers to the J3 tabulated functions
+  // Vector of pointers to the J1 tabulated functions
+  static std::vector <G4double*> J1;
+
+  // Vector of pointers to the J2 tabulated functions
+  static std::vector <G4double*> J2;
+
+  // Vector of pointers to the J3 tabulated functions
+  static std::vector <G4double*> J3;
 };
 
-inline G4double G4ElectroNuclearCrossSection::DFun(G4double x)// Parametrization of the PhotoNucCS
+
+inline G4double
+G4ElectroNuclearCrossSection::DFun(G4double x)
 {
-  static const G4double shd=1.0734;                    // HE PomShadowing(D)
-  static const G4double poc=0.0375;                    // HE Pomeron coefficient
-  static const G4double pos=16.5;                      // HE Pomeron shift
-  static const G4double reg=.11;                       // HE Reggeon slope
-  static const G4double mel=0.5109989;                 // Mass of an electron in MeV
-  static const G4double lmel=std::log(mel);                 // Log of an electron mass
-  G4double y=std::exp(x-lastG-lmel);                        // y for the x
-  G4double flux=lastG*(2.-y*(2.-y))-1.;                // flux factor
+  // Parametrization of the PhotoNucCS
+  static const G4double shd=1.0734;              // HE PomShadowing(D)
+  static const G4double poc=0.0375;              // HE Pomeron coefficient
+  static const G4double pos=16.5;                // HE Pomeron shift
+  static const G4double reg=.11;                 // HE Reggeon slope
+  static const G4double mel=0.5109989;           // Mass of an electron in MeV
+  static const G4double lmel=std::log(mel);      // Log of an electron mass
+  G4double y=std::exp(x-lastG-lmel);             // y for the x
+  G4double flux=lastG*(2.-y*(2.-y))-1.;          // flux factor
   return (poc*(x-pos)+shd*std::exp(-reg*x))*flux;
 }
 
-inline G4double G4ElectroNuclearCrossSection::Fun(G4double x) // Integrated PhoNuc cross section
+
+inline G4double
+G4ElectroNuclearCrossSection::Fun(G4double x)
 {
+  // Integrated PhoNuc cross section
   G4double dlg1=lastG+lastG-1.;
   G4double lgoe=lastG/lastE;
@@ -137,5 +149,7 @@
 }
 
-inline G4double G4ElectroNuclearCrossSection::HighEnergyJ1(G4double lEn)
+
+inline G4double
+G4ElectroNuclearCrossSection::HighEnergyJ1(G4double lEn)
 {
   static const G4double le=std::log(50000.); // std::log(E0)
@@ -150,5 +164,7 @@
 }
 
-inline G4double G4ElectroNuclearCrossSection::HighEnergyJ2(G4double lEn)
+
+inline G4double
+G4ElectroNuclearCrossSection::HighEnergyJ2(G4double lEn)
 {
   static const G4double e=50000.;       // E0
@@ -164,5 +180,7 @@
 }
 
-inline G4double G4ElectroNuclearCrossSection::HighEnergyJ3(G4double lEn)
+
+inline G4double
+G4ElectroNuclearCrossSection::HighEnergyJ3(G4double lEn)
 {
   static const G4double e=50000.;       // E0
Index: trunk/source/processes/hadronic/cross_sections/include/G4GGNuclNuclCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4GGNuclNuclCrossSection.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4GGNuclNuclCrossSection.hh	(revision 1340)
@@ -31,7 +31,4 @@
 //
 //
-//
-//
-//
 // 24.11.08 V. Grichine - first implementation based on G4GlauberGribovCrossSection
 //
@@ -60,5 +57,5 @@
 
   virtual
-  G4bool IsZAApplicable(const G4DynamicParticle* aDP, G4double Z, G4double A);
+  G4bool IsIsoApplicable(const G4DynamicParticle* aDP, G4int Z, G4int A);
 
   virtual
@@ -68,10 +65,10 @@
 
   virtual
-  G4double GetIsoZACrossSection(const G4DynamicParticle*, 
-				G4double Z, G4double A, 
+  G4double GetZandACrossSection(const G4DynamicParticle*, 
+				G4int Z, G4int A, 
 				G4double aTemperature = 0.0);
 
   G4double GetCoulombBarier(const G4DynamicParticle*, 
-				G4double Z, G4double A, G4double pR, G4double tR);
+			    G4double Z, G4double A, G4double pR, G4double tR);
 
   virtual
@@ -87,25 +84,16 @@
 
   G4double GetHadronNucleonXsc(const G4DynamicParticle*, const G4Element*);
-  G4double GetHadronNucleonXsc(const G4DynamicParticle*, G4double At, G4double Zt);
+  G4double GetHadronNucleonXsc(const G4DynamicParticle*, G4int At, G4int Zt);
 
   G4double GetHadronNucleonXscPDG(const G4DynamicParticle*, const G4Element*);
-  G4double GetHadronNucleonXscPDG(const G4DynamicParticle*, G4double At, G4double Zt);
-
-  // G4double GetHadronNucleonXscNS(const G4DynamicParticle*, const G4Element*);
-  // G4double GetHadronNucleonXscNS(const G4DynamicParticle*,G4double At, G4double Zt);
-
+  G4double GetHadronNucleonXscPDG(const G4DynamicParticle*, G4int At, G4int Zt);
   G4double GetHadronNucleonXscNS(G4ParticleDefinition*,G4double pTkin, G4ParticleDefinition*);
 
-  // G4double GetHNinelasticXsc(const G4DynamicParticle*, const G4Element*);
-  // G4double GetHNinelasticXsc(const G4DynamicParticle*, G4double At, G4double Zt);
-
-  G4double GetHNinelasticXscVU(const G4DynamicParticle*, G4double At, G4double Zt);
-
-  G4double CalculateEcmValue ( const G4double , const G4double , const G4double ); 
-
+  G4double GetHNinelasticXscVU(const G4DynamicParticle*, G4int At, G4int Zt);
+  G4double CalculateEcmValue(const G4double, const G4double, const G4double); 
   G4double CalcMandelstamS( const G4double , const G4double , const G4double );
 
-  G4double GetElasticGlauberGribov(const G4DynamicParticle*,G4double Z, G4double A);
-  G4double GetInelasticGlauberGribov(const G4DynamicParticle*,G4double Z, G4double A);
+  G4double GetElasticGlauberGribov(const G4DynamicParticle*,G4int Z, G4int A);
+  G4double GetInelasticGlauberGribov(const G4DynamicParticle*,G4int Z, G4int A);
 
   G4double GetTotalGlauberGribovXsc()    { return fTotalXsc;     }; 
@@ -118,9 +106,7 @@
   G4double GetNucleusRadius(const G4DynamicParticle*, const G4Element*);
 
-
   G4double GetNucleusRadius(G4double At);
   G4double GetNucleusRadiusGG(G4double At);
   G4double GetNucleusRadiusDE(G4double At);
-
 
   inline void SetEnergyLowerLimit(G4double E ){fLowerLimit=E;};
@@ -144,9 +130,9 @@
 // Inlines
 
-inline
-G4double G4GGNuclNuclCrossSection::GetElasticGlauberGribov(
-	 const G4DynamicParticle* dp, G4double Z, G4double A)
+inline G4double
+G4GGNuclNuclCrossSection::GetElasticGlauberGribov(const G4DynamicParticle* dp,
+                                                  G4int Z, G4int A)
 {
-  GetIsoZACrossSection(dp, Z, A);
+  GetZandACrossSection(dp, Z, A);
   return fElasticXsc;
 }
@@ -154,13 +140,11 @@
 /////////////////////////////////////////////////////////////////
 
-inline
-G4double G4GGNuclNuclCrossSection::GetInelasticGlauberGribov(
-         const G4DynamicParticle* dp, G4double Z, G4double A)
+inline G4double
+G4GGNuclNuclCrossSection::GetInelasticGlauberGribov(const G4DynamicParticle* dp,
+                                                    G4int Z, G4int A)
 {
-  GetIsoZACrossSection(dp, Z, A);
+  GetZandACrossSection(dp, Z, A);
   return fInelasticXsc;
 }
 
-
-
 #endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4GeneralSpaceNNCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4GeneralSpaceNNCrossSection.hh	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/include/G4GeneralSpaceNNCrossSection.hh	(revision 1340)
@@ -91,12 +91,12 @@
       const G4Element* theTarget);
 
-    virtual G4bool IsZAApplicable(const G4DynamicParticle* theProjectile,
-      G4double ZZ, G4double AA);
+    virtual G4bool IsIsoApplicable(const G4DynamicParticle* theProjectile,
+      G4int ZZ, G4int AA);
 
     virtual G4double GetCrossSection(const G4DynamicParticle* theProjectile,
       const G4Element* theTarget, G4double theTemperature);
 
-    virtual G4double GetIsoZACrossSection(const G4DynamicParticle* theProjectile,
-      G4double ZZ, G4double AA, G4double theTemperature);
+    virtual G4double GetZandACrossSection(const G4DynamicParticle* theProjectile,
+      G4int ZZ, G4int AA, G4double theTemperature);
 
     virtual void BuildPhysicsTable(const G4ParticleDefinition&)
@@ -114,5 +114,4 @@
      G4IonsShenCrossSection        *Shen;
 };
-////////////////////////////////////////////////////////////////////////////////
-//
+
 #endif
